Bug 450212 - enabling mozilla plugin => firefox crash
Summary: enabling mozilla plugin => firefox crash
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: n/a
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-05 21:31 UTC by Alec Leamas
Modified: 2008-06-12 09:54 UTC (History)
1 user (show)

Fixed In Version: 2.4.1-17.3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-11 04:39:11 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenOffice.org 82545 0 None None None Never

Description Alec Leamas 2008-06-05 21:31:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
After enabling the mozilla plugin in openoffice, open an  odt document in Firefox => crash.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.4.0-12.8.fc9.x86_64

How reproducible:
Always


Steps to Reproduce:
1.Start OO writer.
2.Enable the mozilla plugin (Tools | Options | Internet | Mozilla plugin)
3. Exit OO writer
4.Restart Firefox
5 Note that the openoffice plugin is enabled in about:plugins
6 Use File | Open to open an odt document.

Actual Results:
Firefox crash

Expected Results:
Document opened in browser.

Additional info:
Of course, this might as well be a firefox issue. Filing this against openoffice is just by best guess at this point.

Comment 1 Caolan McNamara 2008-06-06 09:56:22 UTC
Indeed. Its an OOo bug (mismatching plugin api for uint32/int32)

will be in >= openoffice.org-2.4.1-17.3 in next F-9 update

Comment 2 Fedora Update System 2008-06-09 09:37:31 UTC
openoffice.org-2.4.1-17.3.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-10 03:14:47 UTC
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5143

Comment 4 Fedora Update System 2008-06-11 04:38:54 UTC
openoffice.org-2.4.1-17.3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Alec Leamas 2008-06-12 09:54:02 UTC
Works fine for me after updating system today. You are doing a great job!

--alec


Note You need to log in before you can comment on or make changes to this bug.